MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0027031Open CASCADE[OCCT] OCCT:Samplespublic2015-12-22 17:542017-12-19 14:12
Reporterkgv 
Assigned Tobugmaster 
PrioritynormalSeveritytrivial 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 7.0.0Fixed in Version[OCCT] 7.0.0 
Summary0027031: Samples - fix compilation issues in java/jniviewer sample
Descriptionsamples/java/jniviewer should be updated to the current OCCT state.
Steps To ReproduceN/A
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships
related to 0024776closedkgv Open CASCADE Visualization - inherit OpenGl_View from Graphic3d_CView 
related to 0026559closedski Open CASCADE Configuration, genproj.tcl - add mandatory c++11 compiler flag to generated Code::Blocks project files 
related to 0029393closedbugmaster Community Samples - AndroidQt sample build fail 

-  Notes
(0049475)
git (administrator)
2015-12-22 18:06

Branch CR27031 has been created by kgv.

SHA-1: 66e91c792fa73239ff6ee59b34c864606354dbb6


Detailed log of new commits:

Author: kgv
Date: Tue Dec 22 18:04:29 2015 +0300

    0027031: Samples - fix compilation issues in java/jniviewer sample
    
    Add -std=c++11 compiler flag to Android.mk.
    OcctJni_Viewer - drop removed arguments within V3d_View::SetWindow() usage.
    OcctJni_Window - add missing NativeFBConfig() method declared in the interface.
(0049476)
kgv (developer)
2015-12-22 18:06

Please raise the patch - the sample is not yet covered by regression testing.
(0052961)
git (administrator)
2016-04-17 13:46

Branch CR27031 has been deleted by kgv.

SHA-1: 66e91c792fa73239ff6ee59b34c864606354dbb6

- Related Changesets
occt: master 6435b9c7
Timestamp: 2015-12-22 15:04:29
Author: kgv
Committer: bugmaster
Details ] Diff ]
0027031: Samples - fix compilation issues in java/jniviewer sample

Add -std=c++11 compiler flag to Android.mk.
OcctJni_Viewer - drop removed arguments within V3d_View::SetWindow() usage.
OcctJni_Window - add missing NativeFBConfig() method declared in the interface.
mod - samples/java/jniviewer/jni/Android.mk Diff ] File ]
mod - samples/java/jniviewer/jni/OcctJni_Viewer.cxx Diff ] File ]
mod - samples/java/jniviewer/jni/OcctJni_Window.hxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2015-12-22 17:54 kgv New Issue
2015-12-22 17:54 kgv Assigned To => bugmaster
2015-12-22 18:00 kgv Relationship added related to 0024776
2015-12-22 18:01 kgv Relationship added related to 0026559
2015-12-22 18:06 git Note Added: 0049475
2015-12-22 18:06 kgv Note Added: 0049476
2015-12-22 18:06 kgv Severity minor => trivial
2015-12-22 18:06 kgv Status new => resolved
2015-12-22 18:07 kgv Status resolved => reviewed
2015-12-22 18:08 mkv Assigned To bugmaster => mkv
2015-12-22 18:09 mkv Test case number => Not needed
2015-12-22 18:10 bugmaster Assigned To mkv => bugmaster
2015-12-22 18:10 bugmaster Status reviewed => tested
2015-12-25 19:04 bugmaster Changeset attached => occt master 6435b9c7
2015-12-25 19:04 bugmaster Status tested => verified
2015-12-25 19:04 bugmaster Resolution open => fixed
2016-04-17 13:46 git Note Added: 0052961
2016-04-20 15:43 aiv Fixed in Version => 7.0.0
2016-04-20 15:50 aiv Status verified => closed
2017-12-19 14:12 kgv Relationship added related to 0029393


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker